#
# See the file "LICENSE" for the full license governing this code.
#
# encoding: UTF-8
newproperty(:size) do
  include EasyType
  include EasyType::Mungers::Size

  desc <<-EOD
    The size of the volume to ensure. .

    This is a required property.

        ora_asm_volume { ...:
          ...
          size => '100M',
        }

  EOD

  # Issue in Puppet causes external types to not always 
  # be resolved. Therefore we include the basic variant
  # data_type("Optional[Easy_type::Size]")
  data_type("Optional[Variant[Pattern[/^([0-9]*[k|K|m|M|g|G|t|T])$/], Integer]]")

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('SIZE').to_i * 1024 *1024
  end
end
