#
# See the file "LICENSE" for the full license governing this code.
#
# encoding: UTF-8
newproperty(:contained_by) do
  include EasyType

  desc <<-EOD
    Specify the SID of the container database where the pluggable databases should be part of.
    This parameter is mandatory when creating a pluggable databases.

        ora_database { 'my_database':
          ensure             => present,
          ...
          contained_by       => 'CDB',
          ...
        }

  EOD

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('CONTAINED_BY')
  end

  on_modify do
    fail "contained_by property cannot be changed."
  end

  data_type("Optional[String]")
end
