#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/oracle/mungers'

newparam(:procedure_name) do
  include EasyType
  include Puppet_X::EnterpriseModules::Oracle::Mungers::Upcase
  include EasyType::Validators::Name

  desc <<-EOD
    The name of the PL/SQL procedure you want to manage. The procedure name is the second part of the
    title.

        ora_procedure { 'owner.procedure_name@sid':
          ...
        }

  EOD

  isnamevar
  data_type("String[1]")
end
