#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:cpu_per_call, :parent => Puppet::Parameter::OracleProfileProperty) do
  desc <<-EOD
    Allows you set the cpu_per_call value in a profile.

    Maximum CPU time per call (100ths of a second)

    cpu_per_call <value | UNLIMITED | DEFAULT>

    Here is an example on how to use this:

        ora_profile { 'DEFAULT@sid':
          ...
          cpu_per_call              => 'UNLIMITED',
          ...
        }

  EOD
  data_type("Optional[Variant[Enum['DEFAULT','UNLIMITED'], Integer]]")
end
