#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:password_reuse_time, :parent => Puppet::Parameter::OracleProfileProperty) do
  desc <<-EOD
    Allows you set the password_reuse_time value in a profile.

    The number of days between reuses of a password

    password_reuse_time <value | UNLIMITED | DEFAULT>

    Here is an example on how to use this:

        ora_profile { 'DEFAULT@sid':
          ...
          password_reuse_time       => 'UNLIMITED',
          ...
        }

  EOD
  
  validate do | value|
    return if value =~ /unlimited/i
    super(value)
  end

  data_type("Optional[Variant[Enum['DEFAULT','UNLIMITED'], Integer]]")
end
