#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:raise_events) do
  include EasyType

  desc <<-EOD
    Tells the scheduler at what stages of the job it is to raise events.

    Here is an example on how to use this:

        ora_scheduler_job{ 'me.my_job@sid':
          ...
          raise_events => 'DBMS_SCHEDULER.JOB_FAILED + DBMS_SCHEDULER.JOB_BROKEN',
          ...
        }

    Puppet doesn't provide a default value.

  EOD

  data_type("Optional[String[1]]")

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('RAISE_EVENTS')
  end

end
