#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:drain_timeout) do
  include Puppet_X::EnterpriseModules::Oracle::ServiceProperty
  include EasyType::Validators::Integer
  include EasyType::Mungers::Integer

  desc <<-EOD
    Specify the time, in seconds, allowed for resource draining to be completed. 

    Here is an example on how to use this:

        ora_service{'my_service':
          ...
          drain_timeout => 300,
          ...
        }

    Puppet provides no default value. But Oracle might, depending on your version.

    This is a cluster only property. On single node database this property will be ignored. If you use it,
    Puppet will issue a warning.

  EOD

  data_type("Optional[Integer]")
  column_name 'Drain timeout'
end
