#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/oracle/mungers'

newparam(:audit_option) do
  include EasyType
  include Puppet_X::EnterpriseModules::Oracle::Mungers::Upcase

  desc <<-EOD
    The audit option you want to enable or disable.

    This is the first part of the full name. In this example:

        ora_statement_audit { 'alter user@sid':
          ...
        }

    the `audit_option` is `alter_user`

  EOD

  isnamevar
  data_type("String[1]")

end
