#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:block_size) do
  include EasyType

  desc <<-EOD
    The block size to use for the tablespace.
  EOD

  # Issue in Puppet causes external types to not always 
  # be resolved. Therefore we include the basic variant
  # data_type("Optional[Easy_type::Size]")
  data_type("Optional[Variant[Pattern[/^([0-9]*[k|K|m|M|g|G|t|T]|unlimited|UNLIMITED)$/], Integer]]")

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('BLOCK_SIZE').to_i
  end

end
