#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:contents) do
  include EasyType

  desc <<-EOD
    What does the tablespace contain? permanent, temporary of undo data.
  EOD

  defaultto('permanent')
  newvalues('permanent', 'temporary', 'undo')
  data_type("Optional[Enum['permanent', 'temporary', 'undo']]")

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('CONTENTS').downcase
  end

  on_modify do
    fail "tablespace contents cannot be changed to '#{resource.contents}''"
  end

end
