#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:extent_management) do
  include EasyType

  desc <<-EOD
    The extent_management property lets you specify how the extents of the tablespace will be managed.
  EOD

  newvalues(:local, :dictionary)
  data_type("Optional[Enum['local', 'dictionary']]")

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('EXTENT_MAN').downcase.to_sym
  end

  on_modify do
    Puppet.info "#{path}: extend_management can only be changed by migrating the tablespace"
    nil
  end

  on_create do
    "extent management #{resource[:extent_management]}"
  end
end
