#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/oracle/mungers'

newparam(:name) do
  include EasyType
  include EasyType::Validators::Name
  include Puppet_X::EnterpriseModules::Oracle::Mungers::LeaveSidRestToUppercase

  desc <<-EOD
    The full specified thread name.
  EOD

  isnamevar
  data_type("String[1]")

  to_translate_to_resource do |raw_resource|
    sid = raw_resource.column_data('SID')
    thread_no = raw_resource.column_data('THREAD#')
    "#{thread_no}@#{sid}"
  end
end
