#!/opt/puppetlabs/puppet/bin/ruby
#
# See the file "LICENSE" for the full license governing this code.
#
require 'json'
require 'puppet'

install_dir = ENV['PT__installdir']
Puppet[:codedir] = install_dir
Puppet[:vardir]  = '/tmp'

if install_dir
  #
  # Use loadpath specfied in the params
  #
  $LOAD_PATH << "#{install_dir}/easy_type/lib"
  $LOAD_PATH << "#{install_dir}/ora_config/lib"
else
  begin
    Puppet.initialize_settings
  rescue Puppet::DevError
    # When run in Rspec, this is called multiple times
  end
end
require 'easy_type'

begin
  data = EasyType::ResourceTask.new(:ora_role, 'profile_name').execute
  puts({ :resources => data }.to_json)
rescue Puppet::Error => e
  puts({ :status => 'failure', :error => e.message }.to_json)
  exit 1
end
